import {Deserializable} from './deserializable.model';
import {IdModel} from './id.model';

export class TemplateModel implements Deserializable{
  _id: IdModel = null;
  name = '';
  version = 1;
  parameters: {name: string, range: {[prop: string]: any}}[] = [];

  deserialize(input: any): this {
    Object.assign(this, input);
    return this;
  }
}
